
%global meadversion 1.0.6
%global namedversion 1.0.6.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-el-api_3.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.6.Final-redhat-1

Name:           %{?scl_prefix}jboss-el-api_3.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Expression Language 3.0 API
Group:          Development/Java

%if %with mead
Source100: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1-scm-sources.zip
Source102: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1.jar
Source103: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1-sources.jar
Source104: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1-project-sources.tar.gz
Source105: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1.pom
Source106: jboss-el-api_3.0_spec-1.0.6.Final-redhat-1-javadoc.jar
%endif

License:        GPLv2
URL:            https://github.com/jboss/jboss-el-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR-341 Expression Language 3.0 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-el-api_3.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-el-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-el-api_3.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}.jar
%{_javadir}/jboss-el-api_3.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-el-api_3.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-el-api_3.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion}
%{_javadocdir}/jboss-el-api_3.0_spec
%endif

%changelog
* Tue Mar 15 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- Upgrade to 1.0.6.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 1.0.5-1.Final_redhat_2.1
- Rebuild of updated 1.0.5.Final

* Fri Jun 12 2015 Hui Wang <huwang@redhat.com> - 1.0.4-1.Final_redhat_1.1
- Initial build


